<script lang="ts">
  import '../app.pcss';
  import { base } from '$app/paths';
</script>

<header class="border-b border-slate-200 py-3">
  <h1 class="container mx-auto px-4 text-2xl font-medium">
    <a class="flex items-center" href="{base}/">
      <svg
        class="-mt-1 mr-3 h-7 shrink-0 sm:h-10"
        version="1.1"
        viewBox="0 0 34 62"
        xmlns="http://www.w3.org/2000/svg"
      >
        <defs>
          <linearGradient
            id="d"
            x1="82.78"
            x2="82.78"
            y1="287.41"
            y2="220.06"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="#083ce5" offset="0" />
            <stop stop-color="#083ce5" offset=".16" />
            <stop stop-color="#0567ee" offset=".33" />
            <stop stop-color="#0294f7" offset=".54" />
            <stop stop-color="#00affc" offset=".7" />
            <stop stop-color="#00baff" offset=".8" />
            <stop stop-color="#00baff" offset="1" />
          </linearGradient>
          <linearGradient
            id="e"
            x1="97.5"
            x2="97.5"
            y1="278.33"
            y2="232.28"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="#083ce5" offset="0" />
            <stop stop-color="#083ce5" offset=".13" />
            <stop stop-color="#00baff" offset=".7" />
            <stop stop-color="#00baff" offset="1" />
          </linearGradient>
        </defs>
        <g id="c" transform="matrix(.20535 0 0 .20535 -.002 .1994)" stroke-width="0">
          <path
            d="m57.78 195.9c0-9.09 4.23-13.66 10.47-13.66s10.47 4.57 10.47 13.66-4.23 13.91-10.47 13.91-10.47-4.82-10.47-13.91zm14.58 0c0-6.62-1.89-8.13-4.11-8.13s-4.11 1.51-4.11 8.13 1.89 8.38 4.11 8.38 4.11-1.76 4.11-8.38zm-7.46 0c0-2.01 1.42-3.35 3.35-3.35s3.35 1.34 3.35 3.35-1.42 3.35-3.35 3.35-3.35-1.34-3.35-3.35z"
            fill="#00baff"
          />
          <path
            d="m142.68 262.73c-0.2-0.79-0.47-1.43-0.72-1.86l-0.06-0.11-25.36-45.88h-8.15c2.12 3.07 3.34 7.42 3.34 13.07 0 12.34-5.74 18.88-14.21 18.88s-14.21-6.54-14.21-18.88c0-5.65 1.22-10 3.34-13.07h-37.59l-25.41 45.95-0.04 0.07c-0.24 0.43-0.51 1.05-0.7 1.82-0.2 0.78-0.31 1.71-0.31 2.65 0 0.96 0.12 1.94 0.34 2.78 0.21 0.85 0.52 1.56 0.82 2.07 0.55 0.95 1.26 1.85 2.15 2.7 0.89 0.84 1.97 1.63 3.22 2.3 2.49 1.34 5.66 2.19 9.13 2.19h89.09c2.6 0 5.04-0.47 7.14-1.28 2.11-0.81 3.87-1.94 5.21-3.2 0.89-0.85 1.6-1.75 2.16-2.7 0.3-0.51 0.6-1.23 0.82-2.07 0.22-0.85 0.34-1.82 0.34-2.78 0-0.94-0.12-1.86-0.31-2.65zm-70.4 3.48h-18.91v-5.51h6.62v-13.08h-5.58v-4.23c3.59-0.56 5.34-1.2 7.42-2.47h5.03v19.78h5.42z"
            fill="url(#d)"
          />
          <path
            d="m97.5 239.33c3.01 0 5.57-2.39 5.57-11.37s-2.56-11.03-5.57-11.03-5.57 2.05-5.57 11.03 2.56 11.37 5.57 11.37zm-4.55-11.37c0-2.73 1.93-4.55 4.55-4.55s4.55 1.82 4.55 4.55-1.93 4.55-4.55 4.55-4.55-1.82-4.55-4.55z"
            fill="url(#e)"
          />
          <path
            d="m75.36 168.77h6.62v-13.08h-5.58v-4.23c3.59-0.56 5.34-1.2 7.42-2.47h5.03v19.78h5.42v5.51h-18.91z"
            fill="#00baff"
          />
          <path
            d="m49.11 101.16h3.93v57.91c0 1.26-0.32 2.5-0.93 3.6l-48.07 86.93-0.02 0.05c-1.37 2.4-2.37 4.97-3.03 7.62s-0.98 5.38-0.98 8.11c0 2.8 0.34 5.61 1.03 8.33 0.69 2.73 1.74 5.38 3.17 7.84 1.68 2.9 3.77 5.51 6.18 7.78 3.61 3.41 7.92 6.07 12.65 7.88s9.89 2.77 15.21 2.77h89.09c7.1 0 13.9-1.71 19.79-4.86 2.95-1.58 5.66-3.52 8.07-5.79s4.5-4.88 6.18-7.78c1.43-2.47 2.47-5.12 3.17-7.84 0.69-2.73 1.03-5.53 1.03-8.34 0-2.73-0.32-5.46-0.98-8.11-0.65-2.62-1.64-5.17-2.99-7.54l-48.13-87.06c-0.61-1.1-0.93-2.34-0.93-3.6v-57.91h3.93c2.35 0 4.26-1.91 4.26-4.26v-3.32c0-2.35-1.91-4.26-4.26-4.26h-67.37c-2.35 0-4.26 1.91-4.26 4.26v3.32c0 2.35 1.91 4.26 4.26 4.26zm53.99 67.24 48.15 87.1 0.02 0.04c0.78 1.37 1.4 2.93 1.82 4.6s0.63 3.45 0.63 5.25c0 1.84-0.23 3.68-0.67 5.42s-1.1 3.38-1.93 4.82c-1.09 1.88-2.46 3.59-4.07 5.12-2.42 2.29-5.39 4.14-8.75 5.43-3.35 1.28-7.08 1.99-10.98 1.99h-89.08c-5.2 0-10.09-1.26-14.2-3.46-2.05-1.1-3.91-2.43-5.53-3.96-1.61-1.53-2.98-3.24-4.07-5.12-0.84-1.44-1.49-3.08-1.93-4.82s-0.67-3.59-0.67-5.42c0-1.79 0.21-3.57 0.63-5.25 0.42-1.67 1.03-3.22 1.81-4.58l0.03-0.05 48.15-87.1c1.58-2.86 2.41-6.07 2.41-9.33v-57.91h35.81v57.91c0 3.26 0.83 6.48 2.41 9.33z"
            fill="#083ce5"
          />
          <g fill="#00baff">
            <path
              d="m77.12 12.35c0-8.22 3.83-12.35 9.47-12.35s9.47 4.13 9.47 12.35-3.83 12.58-9.47 12.58-9.47-4.36-9.47-12.58zm13.19 0c0-5.99-1.7-7.35-3.71-7.35s-3.71 1.36-3.71 7.35 1.71 7.58 3.71 7.58 3.71-1.59 3.71-7.58zm-6.74 0c0-1.82 1.29-3.03 3.03-3.03s3.03 1.21 3.03 3.03-1.29 3.03-3.03 3.03-3.03-1.21-3.03-3.03z"
            />
            <path
              d="m99.86 12.35c0-8.22 3.83-12.35 9.47-12.35s9.47 4.13 9.47 12.35-3.83 12.58-9.47 12.58-9.47-4.36-9.47-12.58zm13.19 0c0-5.99-1.7-7.35-3.71-7.35s-3.71 1.36-3.71 7.35 1.71 7.58 3.71 7.58 3.71-1.59 3.71-7.58zm-6.74 0c0-1.82 1.29-3.03 3.03-3.03s3.03 1.21 3.03 3.03-1.29 3.03-3.03 3.03-3.03-1.21-3.03-3.03z"
            />
            <path
              d="m123.44 19.25h6.29v-12.43h-5.3v-4.02c3.41-0.53 5.08-1.14 7.05-2.35h4.77v18.8h5.15v5.23h-17.96z"
            />
            <path
              d="m145.34 12.35c0-8.22 3.83-12.35 9.47-12.35s9.47 4.13 9.47 12.35-3.83 12.58-9.47 12.58-9.47-4.36-9.47-12.58zm13.19 0c0-5.99-1.7-7.35-3.71-7.35s-3.71 1.36-3.71 7.35 1.71 7.58 3.71 7.58 3.71-1.59 3.71-7.58zm-6.74 0c0-1.82 1.29-3.03 3.03-3.03s3.03 1.21 3.03 3.03-1.29 3.03-3.03 3.03-3.03-1.21-3.03-3.03z"
            />
            <path
              d="m62.26 49.65h6.13v-12.1h-5.17v-3.91c3.32-0.52 4.95-1.11 6.86-2.29h4.65v18.31h5.02v5.09h-17.49v-5.09z"
            />
            <path
              d="m83.59 42.93c0-8.01 3.73-12.03 9.23-12.03s9.23 4.02 9.23 12.03-3.73 12.25-9.23 12.25-9.23-4.24-9.23-12.25zm12.85 0c0-5.83-1.66-7.16-3.62-7.16s-3.62 1.33-3.62 7.16 1.66 7.38 3.62 7.38 3.62-1.55 3.62-7.38zm-6.57 0c0-1.77 1.25-2.95 2.95-2.95s2.95 1.18 2.95 2.95-1.26 2.95-2.95 2.95-2.95-1.18-2.95-2.95z"
            />
            <path
              d="m106.55 49.65h6.13v-12.1h-5.17v-3.91c3.32-0.52 4.95-1.11 6.86-2.29h4.65v18.31h5.02v5.09h-17.49v-5.09z"
            />
            <path
              d="m73.12 72.91c0-7.79 3.63-11.7 8.98-11.7s8.97 3.91 8.97 11.7-3.63 11.92-8.97 11.92-8.98-4.13-8.98-11.92zm12.49 0c0-5.67-1.62-6.97-3.52-6.97s-3.52 1.29-3.52 6.97 1.62 7.18 3.52 7.18 3.52-1.51 3.52-7.18zm-6.39 0c0-1.72 1.22-2.87 2.87-2.87s2.87 1.15 2.87 2.87-1.22 2.87-2.87 2.87-2.87-1.15-2.87-2.87z"
            />
          </g>
        </g>
      </svg>

      <span class="self-center whitespace-nowrap text-xl font-semibold">PIP data editor</span>
    </a>
  </h1>
</header>

<slot />
